- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# MetaElement< algebra::AlphabetSet< L >, algebra::AlphabetDecorator< L, T > > Struct Template Reference
[Algebra, Alphabet]

Services of every alphabet implemented with AlphabetDecorator<L, T>. More...

Inheritance diagram for MetaElement< algebra::AlphabetSet< L >, algebra::AlphabetDecorator< L, T > >:

[legend]

List of all members.

## Public Member Functions
L | joker () const
| The meta-symbol that symbolizes all the alphabet's symbols.
L | other () const
| The meta-symbol that symbolizes the symbol not in the alphabet.
## Static Public Attributes
static const bool | dynamic_value
| The dynamic properties depends on the implementation one.

## Detailed Description

### template<typename L, typename T>
struct vcsn::MetaElement< algebra::AlphabetSet< L >, algebra::AlphabetDecorator< L, T > >

Services of every alphabet implemented with AlphabetDecorator<L, T>.

See also:
  MetaElement<AlphabetSetBase<Self>, T>

Definition at line 111 of file decorated_alphabet.hh.